Subject: bug#13180: closed (Re: bug#13179: 24.2.90; fill-paragraph)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Jan 2013 20:44:02 +0000

Your bug report

#13179: 24.2.90; fill-paragraph in Makefiles

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13179: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13179
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13179: 24.2.90; fill-paragraph
From: Stefan Monnier <[email-masked]>
To: Thomas Christensen <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Jan 2013 15:41:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> The expected behavior would be to keep looking like the first case with
> 4 space indentation.

Indeed.

> I have bisected the problem (with git) to this commit:
> Author: Stefan Monnier <[email-masked]>
> Date:   Wed Sep 8 18:21:23 2010 +0200
>     Misc cleanups and simplifications.

The problem was kind of nasty (disappears when you step through the
code, because it gets fixed by font-lock), but even now that
I understand clearly what was the problem, I don't see how it is related
to the above changes (maybe by setting parse-sexp-lookup-properties).

In any case, I've installed the patch below which should fix the problem
(maybe it should be fixed more generally in fill.el or in
back-to-indentation).

        Stefan

--- lisp/progmodes/make-mode.el	2013-01-01 09:11:05 +0000
+++ lisp/progmodes/make-mode.el	2013-01-30 20:38:09 +0000
@@ -1307,6 +1307,12 @@
 	(save-restriction
 	  (narrow-to-region beginning end)
 	  (makefile-backslash-region (point-min) (point-max) t)
+	  ;; Backslashed newlines are marked as puncutations, so when
+	  ;; fill-delete-newlines turns the LF into SPC, we end up with spaces
+	  ;; which back-to-indentation (called via fill-newline ->
+	  ;; fill-indent-to-left-margin -> indent-line-to) thinks are real code
+	  ;; (bug#13179).
+	  (remove-text-properties (point-min) (point-max) '(syntax-table))
 	  (let ((fill-paragraph-function nil)
                 ;; Adjust fill-column to allow space for the backslash.
                 (fill-column (- fill-column 1)))

Subject: Re: 24.2.90; fill-paragraph
From: Thomas Christensen <[email-masked]>
To: [email-masked]
Date: Fri, 14 Dec 2012 11:21:20 +0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Dec 14, 2012 at 11:03:34AM +0700, Thomas Christensen wrote:
> 
> It will not look like this (notice the 5 space indent):

"not" was meant to be "now"